Part Tube/es: Difference between revisions

From FreeCAD Documentation
(Created page with "Para editar el tubo: * con cualquiera de las siguientes maneras: ** seleccionándolo en el árbol y pinchando encima con doble clic ** editando los parámetros en la caja de d...")
(Updating to match new version of source page)
 
(33 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
<div class="mw-translate-fuzzy">
|[[Part_Toro|Toro]]
{{Docnav/es
|[[Part_Primitivas|Primitivas]]
|[[Part_Module|Part]]
|[[Part_Torus/es|Toro]]
|[[Part_Primitives/es|Primitivas]]
|[[Part_Workbench/es|Part]]
|IconL=Part_Torus.svg
|IconL=Part_Torus.svg
|IconR=Part_Primitives.svg
|IconR=Part_Primitives.svg
|IconC=Workbench_Part.svg
|IconC=Workbench_Part.svg
}}
}}
</div>


<div class="mw-translate-fuzzy">
{{GuiCommand
{{GuiCommand/es
|Name=Part Tube
|Name=Part Tube
|Name/es=Part Tubo
|MenuLocation=Part → Primitives → Create tube
|MenuLocation=Pieza → Primitivas → Crear un tubo
|Workbenches=[[Part_Module|Part]]
|Workbenches=[[Part_Workbench/es|Part]]
|Version=0.19
|Version=0.19
|Seealso=[[Part_CreatePrimitives|Part CreatePrimitives]]
|Seealso=[[Part_CreatePrimitives/es|Part CreatePrimitives]]
}}
}}
</div>


<span id="Description"></span>
==Descripción==
==Descripción==


<div class="mw-translate-fuzzy">
El comando Tubo inserta un tubo en el documento activo. El tubo es geométricamente tratado como un corte de un cilindro más pequeño dentro de otro mayor. Por defecto, el comando insertará un tubo de 10 mm de altura con un radio exterior de 5 mm y un radio interior de 2 mm. Estos parámetros pueden ser modificados después de que el objeto ha sido introducido.
El comando Tubo inserta un tubo en el documento activo. El tubo es geométricamente tratado como un corte de un cilindro más pequeño dentro de otro mayor. Por defecto, el comando insertará un tubo de 10 mm de altura con un radio exterior de 5 mm y un radio interior de 2 mm. Estos parámetros pueden ser modificados tras ser introducido el objeto.
</div>


[[Image:Part_Tube-screenshot.png|Screenshot of a Tube]]
[[Image:Part_Tube_Example.png|400px]]


<span id="Usage"></span>
==Uso==
==Uso==


=== Create ===
Se puede crear un tubo de cualquiera de las siguientes maneras:
* presionando el {{Button|[[Image:Part_Tube.svg|16px]] '''Tubo'''}} botón en la barra de herramientas
* usando el menú {{MenuCommand|Part → Primitivas → Crear tubo}}


<div class="mw-translate-fuzzy">
Para editar el tubo:
Se puede crear un tubo:
* con cualquiera de las siguientes maneras:
* presionando el botón {{Button|[[Image:Part_Tube.svg|16px]] '''Crea un Tubo'''}} en la barra de herramientas; o bien:
** seleccionándolo en el árbol y pinchando encima con doble clic
* usando el menú {{MenuCommand|Pieza → Primitivas → Crear un tubo}}
** editando los parámetros en la caja de diálogo que aparece
</div>
* o usando el [[Property_editor | property editor]] para editar sus parámetros


==Properties==
=== Edit ===


# Double-click the tube in the [[Tree_view|Tree view]]
* Via the [[Property_editor | Property Editor]]:
# The {{MenuCommand|Tube}} task panel opens.
** '''Height:''' Sets the height (default is 10 mm).
# Change one or more dimensions.
** '''Inner Radius:''' Set the inner radius (default is 2 mm).
# The tube is dynamically updated in the [[3D_view|3D view]].
** '''Outer Radius:''' Set the outer radius (default is 5 mm).
# Press the {{Button|OK}} button.
** '''Placement:''' Specifies the orientation and position of the Box in the 3D space. See [[Placement | Placement]]. The reference point is the left front lower corner of the box.

** '''Label:''' The Label is the name given to the operation. This name can be changed at your convenience.
== Example ==

[[Image:Part_Tube_Scripting_Example.png|thumb|Part Tube from the scripting example]]

A Part Tube object created with the [[#Scripting|scripting example]] below is shown here.

<span id="Properties"></span>
==Propiedades==

See also: [[Property_editor|Property editor]].

A Part Tube object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Tube}}

<div class="mw-translate-fuzzy">
* Por medio del [[Property_editor/es|Editor de propiedades]]:
** '''Height o Altura:''' Selecciona la altura (por defecto es 10 mm).
** '''Inner radius o Radio interior:''' Selecciona el radio interior (por defecto es 2 mm).
** '''Outer radius o Radio exterior:''' Selecciona el radio exterior (por defecto es 5 mm).
** '''Placement o Localización:''' Especifica la orientación y la posición de la caja en el espacio 3D. Ver [[Placement/es | Placement]]. El punto de referencia es la esquina inferior izquierda frontal de la caja.
** '''Label o Etiqueta:''' Es el nombre dado a la operación. Este nombre puede ser cambiado si es conveniente.
</div>

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Tube can be created with the {{Incode|addTube()}} method ({{Version|0.20}}) of the Shapes module:

{{Code|code=
tube = Shapes.addTube(FreeCAD.ActiveDocument, "myTube")
}}

* Where {{Incode|"myTube"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App
from BasicShapes import Shapes

doc = App.activeDocument()

tube = Shapes.addTube(FreeCAD.ActiveDocument, "myTube")
tube.Height = 20
tube.InnerRadius = 2
tube.OuterRadius = 3
tube.Placement = App.Placement(App.Vector(2, 4, 5), App.Rotation(60, 60, 30))

doc.recompute()
}}




<div class="mw-translate-fuzzy">
{{Docnav
{{Docnav/es
|[[Part_Torus|Torus]]
|[[Part_Torus/es|Toro]]
|[[Part_Primitives|Primitives]]
|[[Part_Primitives/es|Primitivas]]
|[[Part_Module|Part]]
|[[Part_Workbench/es|Part]]
|IconL=Part_Torus.svg
|IconL=Part_Torus.svg
|IconR=Part_Primitives.svg
|IconR=Part_Primitives.svg
|IconC=Workbench_Part.svg
|IconC=Workbench_Part.svg
}}
}}
</div>


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 11:41, 21 January 2023

Part Tubo

Ubicación en el Menú
Pieza → Primitivas → Crear un tubo
Entornos de trabajo
Part
Atajo de teclado por defecto
Ninguno
Introducido en versión
0.19
Ver también
Ninguno

Descripción

El comando Tubo inserta un tubo en el documento activo. El tubo es geométricamente tratado como un corte de un cilindro más pequeño dentro de otro mayor. Por defecto, el comando insertará un tubo de 10 mm de altura con un radio exterior de 5 mm y un radio interior de 2 mm. Estos parámetros pueden ser modificados tras ser introducido el objeto.

Uso

Create

Se puede crear un tubo:

  • presionando el botón Crea un Tubo en la barra de herramientas; o bien:
  • usando el menú Pieza → Primitivas → Crear un tubo

Edit

  1. Double-click the tube in the Tree view
  2. The Tube task panel opens.
  3. Change one or more dimensions.
  4. The tube is dynamically updated in the 3D view.
  5. Press the OK button.

Example

Part Tube from the scripting example

A Part Tube object created with the scripting example below is shown here.

Propiedades

See also: Property editor.

A Part Tube object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Tube

  • Por medio del Editor de propiedades:
    • Height o Altura: Selecciona la altura (por defecto es 10 mm).
    • Inner radius o Radio interior: Selecciona el radio interior (por defecto es 2 mm).
    • Outer radius o Radio exterior: Selecciona el radio exterior (por defecto es 5 mm).
    • Placement o Localización: Especifica la orientación y la posición de la caja en el espacio 3D. Ver Placement. El punto de referencia es la esquina inferior izquierda frontal de la caja.
    • Label o Etiqueta: Es el nombre dado a la operación. Este nombre puede ser cambiado si es conveniente.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Tube can be created with the addTube() method (introduced in version 0.20) of the Shapes module:

tube = Shapes.addTube(FreeCAD.ActiveDocument, "myTube")
  • Where "myTube" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App
from BasicShapes import Shapes

doc = App.activeDocument()

tube = Shapes.addTube(FreeCAD.ActiveDocument, "myTube")
tube.Height = 20
tube.InnerRadius = 2
tube.OuterRadius = 3
tube.Placement = App.Placement(App.Vector(2, 4, 5), App.Rotation(60, 60, 30))

doc.recompute()